(function ($) {

	//color picker
	$(function () {
		$('.wp-coupons-color-picker').wpColorPicker();
	});

	//tab-content display
	$('.wp-coupons-subnav > a').click(function(e){

		e.preventDefault();//stop browser to take action for clicked anchor
					
		//get displaying tab content jQuery selector
		var active_tab_selector = $('.wp-coupons-subnav > a.active').attr('href');
		//var active_tab_rel = $('.wp-coupons-subnav > a.active').attr('href');					
					
		//find actived navigation and remove 'active' css
		var actived_nav = $('.wp-coupons-subnav > a.active');
		actived_nav.removeClass('active');
					
		//add 'active' css into clicked navigation
		$(this).addClass('active');

		var selected_tab_id = $(this).attr('rel');
		//$('#subnav-section').val(selected_tab_rel);
		//var current_action = $('#wp-coupons-options-form').attr('action');
		$('#wp-coupons-options-form').attr('action', "options.php" + "#" + selected_tab_id);

		//alert(active_tab_selector);
					
		//hide displaying tab content
		$(active_tab_selector).removeClass('active');
		$(active_tab_selector).addClass('hide');
					
		//show target tab content
		var target_tab_selector = $(this).attr('href');
		$(target_tab_selector).removeClass('hide');
		$(target_tab_selector).addClass('active');
	});

	$(".wp-coupons-tooltip").hover(function(){
	    $(this).closest("tr").find(".wp-coupons-tooltip-text-container").show();
	},function(){
	    $(this).closest("tr").find(".wp-coupons-tooltip-text-container").hide();
	});

	//check for section anchor
	var hash = $.trim(window.location.hash);
    if(hash) {

    	$('#wp-coupons-options-form').attr('action', "options.php" + hash);

    	//get displaying tab content jQuery selector
		var active_tab_selector = $('.wp-coupons-subnav > a.active').attr('href');				
					
		//find actived navigation and remove 'active' css
		var active_nav = $('.wp-coupons-subnav > a.active');
		active_nav.removeClass('active');
					
		//add 'active' css into clicked navigation
		$(hash + "-section").addClass('active');
					
		//hide displaying tab content
		$(active_tab_selector).removeClass('active');
		$(active_tab_selector).addClass('hide');
					
		//show target tab content
		var target_tab_selector = $(hash + "-section").attr('href');
		$(target_tab_selector).removeClass('hide');
		$(target_tab_selector).addClass('active');
    } 

    //image upload
	jQuery('.upload_image_button').click(function(){

		var file_frame;
		var buttonVal = $(this).attr('value');
		var fieldID = '#' + buttonVal;

		//if the media frame already exists, reopen it
		if(file_frame) {
			file_frame.open();
		  	return;
		}

		//create the media frame
		file_frame = wp.media.frames.file_frame = wp.media({
	  		title: $(this).attr("frame_title"),
		  	library: {
	      		type: 'image'
		   	},
		  	multiple: false
		});

		//when an image is selected, run a callback
		file_frame.on('select', function() {

		  attachment = file_frame.state().get('selection').first().toJSON();

		  if(buttonVal == 'slider_image') {
			jQuery(fieldID).val(attachment.id);
		  }
		  else {
		  	// Do something with attachment.id and/or attachment.url here
		  	jQuery(fieldID).val(attachment.url);
		  }
		});

		//open the modal
		file_frame.open();
	});

}(jQuery));