<?php get_header(); ?>
<?php do_action('wp_coupons_action_before_main_content'); ?>
<?php $wp_coupons_styles = get_option('wp_coupons_styling_options'); ?>
<?php $wp_coupons_display = get_option('wp_coupons_display_options'); ?>
<?php $wp_coupons_extra = get_option('wp_coupons_extra_options'); ?>
<style>
	/*theme specific style overrides*/
	.site:before {
		display: none !important; /*twentyfourteen*/
	}
	#wp-coupons-outer-wrapper {
		padding-left: <?php echo !empty($wp_coupons_display['wp_coupons_wrapper_padding']) ? $wp_coupons_display['wp_coupons_wrapper_padding'] : ""; ?>;
		padding-right: <?php echo !empty($wp_coupons_display['wp_coupons_wrapper_padding']) ? $wp_coupons_display['wp_coupons_wrapper_padding'] : ""; ?>;
	}
	#wp-coupons-wrapper {
		max-width: <?php echo !empty($wp_coupons_display['wp_coupons_wrapper_width']) ? $wp_coupons_display['wp_coupons_wrapper_width'] : ""; ?>;
	}
	#wp-coupons .wp-coupons-banner {
		background: <?php echo !empty($wp_coupons_styles['wp_coupons_panel_background_color']) ? $wp_coupons_styles['wp_coupons_panel_background_color'] : ""; ?>;
	}
	#wp-coupons .wp-coupons-discount-percent {
		background: <?php echo !empty($wp_coupons_styles['wp_coupons_discount_background_color']) ? $wp_coupons_styles['wp_coupons_discount_background_color'] : ""; ?>;
		color: <?php echo !empty($wp_coupons_styles['wp_coupons_discount_text_color']) ? $wp_coupons_styles['wp_coupons_discount_text_color'] : ""; ?>;
		font-size: <?php echo !empty($wp_coupons_styles['wp_coupons_discount_font_size']) ? $wp_coupons_styles['wp_coupons_discount_font_size'] : ""; ?>;
	}
	#wp-coupons .wp-coupons-expiration {
		color: <?php echo !empty($wp_coupons_styles['wp_coupons_expiration_text_color']) ? $wp_coupons_styles['wp_coupons_expiration_text_color'] : ""; ?>;
		font-size: <?php echo !empty($wp_coupons_styles['wp_coupons_expiration_font_size']) ? $wp_coupons_styles['wp_coupons_expiration_font_size'] : ""; ?>;
	}
	#wp-coupons .wp-coupons-discount-code {
		background: <?php echo !empty($wp_coupons_styles['wp_coupons_discount_code_background_color']) ? $wp_coupons_styles['wp_coupons_discount_code_background_color'] : ""; ?>;
		color: <?php echo !empty($wp_coupons_styles['wp_coupons_discount_code_text_color']) ? $wp_coupons_styles['wp_coupons_discount_code_text_color'] : ""; ?>;
		font-size: <?php echo !empty($wp_coupons_styles['wp_coupons_discount_code_font_size']) ? $wp_coupons_styles['wp_coupons_discount_code_font_size'] : ""; ?>;
	}
	#wp-coupons .wp-coupons-discount-code span {
		color: <?php echo !empty($wp_coupons_styles['wp_coupons_discount_code_text_color']) ? $wp_coupons_styles['wp_coupons_discount_code_text_color'] : ""; ?>;
		border-color: <?php echo !empty($wp_coupons_styles['wp_coupons_discount_code_text_color']) ? $wp_coupons_styles['wp_coupons_discount_code_text_color'] : ""; ?>;
	}
	#wp-coupons .wp-coupons-banner-text .coupon-title {
		font-size: <?php echo !empty($wp_coupons_styles['wp_coupons_title_font_size']) ? $wp_coupons_styles['wp_coupons_title_font_size'] : ""; ?>;
	}
	#wp-coupons .wp-coupons-banner .wp-coupons-discount-description {
		font-size: <?php echo !empty($wp_coupons_styles['wp_coupons_description_font_size']) ? $wp_coupons_styles['wp_coupons_description_font_size'] : ""; ?>;
		line-height: <?php echo !empty($wp_coupons_styles['wp_coupons_description_line_height']) ? $wp_coupons_styles['wp_coupons_description_line_height'] : ""; ?>;
	}
	#wp-coupons a.wp-coupons-button {
		background: <?php echo !empty($wp_coupons_styles['wp_coupons_link_accent_color']) ? $wp_coupons_styles['wp_coupons_link_accent_color'] : ""; ?>;
		border-color: <?php echo !empty($wp_coupons_styles['wp_coupons_link_accent_color']) ? $wp_coupons_styles['wp_coupons_link_accent_color'] : ""; ?>;
		font-size: <?php echo !empty($wp_coupons_styles['wp_coupons_button_font_size']) ? $wp_coupons_styles['wp_coupons_button_font_size'] : ""; ?>;
	}
	#wp-coupons a.wp-coupons-button:hover {
		background: none;
		color: <?php echo !empty($wp_coupons_styles['wp_coupons_link_accent_color_hover']) ? $wp_coupons_styles['wp_coupons_link_accent_color_hover'] : ""; ?>;
		border-color: <?php echo !empty($wp_coupons_styles['wp_coupons_link_accent_color_hover']) ? $wp_coupons_styles['wp_coupons_link_accent_color_hover'] : ""; ?>;
	}
	#wp-coupons a.wp-coupons-breadcrumbs, #wp-coupons a.wp-coupons-breadcrumbs:visited {
		color: <?php echo !empty($wp_coupons_styles['wp_coupons_link_accent_color']) ? $wp_coupons_styles['wp_coupons_link_accent_color'] : ""; ?>;
	}
	#wp-coupons a.wp-coupons-breadcrumbs:hover {
		color: <?php echo !empty($wp_coupons_styles['wp_coupons_link_accent_color_hover']) ? $wp_coupons_styles['wp_coupons_link_accent_color_hover'] : ""; ?>;
	}
	<?php if(!empty($wp_coupons_display['wp_coupons_single_position']) && $wp_coupons_display['wp_coupons_single_position'] == 'left') { ?>
		@media(min-width: 794px) {
			#wp-coupons .wp-coupons-banner {
				float: left; 
				margin: 0px 20px 20px 0px;
			}
		}
	<?php }elseif(!empty($wp_coupons_display['wp_coupons_single_position']) && $wp_coupons_display['wp_coupons_single_position'] == 'top') { ?>
		@media(min-width: 794px) {
			#wp-coupons .wp-coupons-banner {
				position: relative;
				float: none; 
				margin: 0px 0px 20px 0px;
				width: 100%;
			}
			#wp-coupons .wp-coupons-banner img {
				width: 400px;
				float: left;
				/*margin-right: 20px;*/
			}
			#wp-coupons .wp-coupons-banner-content {
				overflow: hidden;
			}
			#wp-coupons .wp-coupons-banner h1 {
				display: inline-block;
				overflow: hidden;
				white-space: nowrap;
				text-overflow: ellipsis;
				max-width: 100%;
			}
			#wp-coupons .wp-coupons-banner .wp-coupons-discounts div {
				position: absolute;
				width: auto;
				padding: 10px 20px;
			}
			#wp-coupons .wp-coupons-banner .wp-coupons-discounts div.wp-coupons-copy span {
				display: inline;
				position: relative;
				padding: 0px 0px 0px 10px;
				margin-left: 10px;
				border-bottom: none;
			}
			#wp-coupons .wp-coupons-banner .wp-coupons-banner-text {
				padding-bottom: 10px;
			}
			#wp-coupons .wp-coupons-banner .wp-coupons-discount-description {
				margin-bottom: 10px;
				padding-bottom: 0px;
				max-height: 60px;
				overflow: hidden;
			}
			#wp-coupons .wp-coupons-banner .wp-coupons-expiration {
				/*float: right;*/
				position: absolute;
				right: 25px;
				bottom: 10px;
			}
			#wp-coupons .wp-coupons-banner .wp-coupons-button {
				overflow: hidden;
				display: inline-block;
				margin-top: 0px;
			}
		}
	<?php } ?>
</style>

<?php while ( have_posts() ) : the_post(); ?>

	<?php
	$wp_coupons_call_to_action = get_post_meta($post->ID, 'wp_coupons_call_to_action', true);
	$wp_coupons_css_class = get_post_meta($post->ID, 'wp_coupons_css_class', true);
	$wp_coupons_discount_url = get_post_meta($post->ID, 'wp_coupons_discount_url', true);
	$wp_coupons_ctr_link = "";
	?>

<div id="wp-coupons" class="<?php echo (isset($wp_coupons_extra['wp_coupons_container_class']) ? $wp_coupons_extra['wp_coupons_container_class'] : ''); ?>">

	<article>

		<!-- Coupon Details Banner -->
		<div class="wp-coupons-banner wp-coupons-coupon-panel<?php echo (!empty($wp_coupons_css_class) ? ' ' . $wp_coupons_css_class : ''); ?>">

			<?php if ( has_post_thumbnail() ) { ?>
				<?php the_post_thumbnail('full'); ?>                         
	        <?php } else { ?>
	        	<?php echo "<img src='" . site_url() . "/wp-content/plugins/wp-coupons/images/sample-image.png' title='" . __('Sample Image', 'wp_coupons') . "' alt='" . __('Sample Image', 'wp_coupons') . "' />"; ?>
	        <?php } ?>
			<div class="wp-coupons-banner-content">

				<div class="wp-coupons-discounts">

					<?php $wp_coupons_discount_percent = get_post_meta($post->ID, "wp_coupons_discount_percent", true); ?>

					<?php if(!empty($wp_coupons_discount_percent)) { ?>

						<div class="wp-coupons-discount-percent"><?php echo $wp_coupons_discount_percent; ?></div>

					<?php } ?>

					<?php $wp_coupons_discount_code = get_post_meta($post->ID, "wp_coupons_discount_code", true); ?>

					<?php 
					if(!empty($wp_coupons_extra['wp_coupons_clipboard_js']) && $wp_coupons_extra['wp_coupons_clipboard_js'] == "1" && !empty($wp_coupons_discount_code)) {
						$wp_coupons_copy = "wp-coupons-copy";
					}
					else {
						$wp_coupons_copy = "";
					}
					?>

					<?php if(!empty($wp_coupons_discount_code)) { ?>

						<!-- click to reveal button -->
						<?php if(!empty($wp_coupons_display['wp_coupons_click_to_reveal']) && $wp_coupons_display['wp_coupons_click_to_reveal'] == "1" && !empty($wp_coupons_discount_url)) { ?>

							<?php
							$wp_coupons_ctr_link = "wp-coupons-ctr-link"; 
							if(!empty($wp_coupons_display['wp_coupons_click_to_reveal_text'])) {
								$wp_coupons_ctr_text = $wp_coupons_display['wp_coupons_click_to_reveal_text'];
							}
							else {
								$wp_coupons_ctr_text = __('Click to Reveal', 'wp_coupons');
							}
							?>

							<div class='wp-coupons-discount-code wp-coupons-ctr <?php echo $wp_coupons_copy; ?>' rel='<?php echo $id; ?>' value='<?php echo $wp_coupons_discount_url; ?>' data-clipboard-text='<?php echo $wp_coupons_discount_code; ?>'><i class='fa fa-tag'></i> <?php echo $wp_coupons_ctr_text; ?></div>

						<?php } else { ?>

							<div class="wp-coupons-discount-code <?php echo $wp_coupons_copy; ?>" data-clipboard-text="<?php echo $wp_coupons_discount_code; ?>">

								<?php 
								echo "<i class='fa fa-tag'></i> " . $wp_coupons_discount_code;
								if(!empty($wp_coupons_extra['wp_coupons_clipboard_js']) && $wp_coupons_extra['wp_coupons_clipboard_js'] == "1") {
									echo "<span>" . __('Copy', 'wp_coupons') . "</span>";
								} 
								?>

							</div>

						<?php } ?>

					<?php } elseif(empty($wp_coupons_display['wp_coupons_hide_no_code_needed'])) { ?>

						<div class="wp-coupons-discount-code">
							<?php
							if(!empty($wp_coupons_display['wp_coupons_no_code_needed_text'])) {
								$no_code_needed = $wp_coupons_display['wp_coupons_no_code_needed_text'];
							}
							else {
								$no_code_needed = __('No Code Needed', 'wp_coupons');
							}
							echo $no_code_needed;
							?>
						</div>

					<?php } ?>

				</div>

				<div class="wp-coupons-banner-text">

					<h1 class="coupon-title"><?php the_title(); ?></h1>

					<?php $wp_coupons_discount_description = do_shortcode(get_post_meta($post->ID, "wp_coupons_discount_description", true)); ?>

					<?php if(!empty($wp_coupons_discount_description)) { ?>

						<div class="wp-coupons-discount-description"><?php echo $wp_coupons_discount_description; ?></div>

					<?php } ?>

					<!-- Expiration Date -->
					<?php if(!empty($wp_coupons_display['wp_coupons_display_expiration']) && $wp_coupons_display['wp_coupons_display_expiration'] == "1") { ?>
						<?php $wp_coupons_expiration = get_post_meta($post->ID, "wp_coupons_expiration", true); ?>
						<?php if(!empty($wp_coupons_expiration)) { ?>
							<div class="wp-coupons-expiration"><i class='fa fa-clock-o'></i> <?php _e('Expires', 'wp_coupons'); echo " " . date_i18n("F j, Y", strtotime($wp_coupons_expiration)); ?></div>
						<?php } ?>
					<?php } ?>

					<?php $wp_coupons_discount_url = get_post_meta($post->ID, "wp_coupons_discount_url", true); ?>

					<?php if(!empty($wp_coupons_discount_url)) { ?>

						<?php $wp_coupons_nofollow = get_post_meta(get_the_ID(), 'wp_coupons_nofollow', true); ?>
						<?php if(!empty($wp_coupons_nofollow) && $wp_coupons_nofollow == "1") { $coupon_nofollow = "nofollow"; } else { $coupon_nofollow = ""; } ?>

						<?php 
						if(!empty($wp_coupons_call_to_action)) {
							$coupon_cta = $wp_coupons_call_to_action;
						}
						elseif(!empty($wp_coupons_display['wp_coupons_call_to_action'])) {
							$coupon_cta = $wp_coupons_display['wp_coupons_call_to_action'];
						}
						else {
							$coupon_cta = __('Get This Deal', 'wp_coupons');
						} 
						?>

						<a href="<?php echo $wp_coupons_discount_url; ?>" class="wp-coupons-button <?php echo $wp_coupons_ctr_link; ?>" target="_blank" rel="<?php echo $coupon_nofollow; ?>"><?php echo $coupon_cta; ?></a>

					<?php } ?>
				</div>
			</div>
		</div>

	    <!-- Coupon Post Content -->
	    <div class="wp-coupons-post-content" style="overflow: hidden;">

	    	<?php if(empty($wp_coupons_display['wp_coupons_hide_breadcrumbs'])) { ?>
	    		<?php if(!empty($wp_coupons_display['wp_coupons_archive_slug'])){$archive_slug = $wp_coupons_display['wp_coupons_archive_slug'];}else{$archive_slug = 'coupons';} ?>
	    		<?php if(!empty($wp_coupons_display['wp_coupons_nav_title'])){$nav_title = $wp_coupons_display['wp_coupons_nav_title'];}else{$nav_title = __('All Coupons', 'wp_coupons');} ?>
				<a href="<?php echo site_url() . "/" . $archive_slug . "/"; ?>" class="wp-coupons-breadcrumbs"><?php echo $nav_title; ?></a>
	    	<?php } ?>
	    	
	    	<?php if(empty($wp_coupons_display['wp_coupons_hide_single_template_title'])) { ?>
	    		<h2 style="font-size: 45px; margin: 0px 0px 15px 0px; line-height: normal;"><?php the_title(); ?></h2>
	    	<?php } ?>
	        <?php the_content(); ?>
		</div>

	</article>

</div>

<?php endwhile; ?>

<?php if(!empty($wp_coupons_display['wp_coupons_display_related_coupons']) && $wp_coupons_display['wp_coupons_display_related_coupons'] == "1") { ?>

	<?php if(!empty($wp_coupons_display['wp_coupons_related_coupons_locations']) && in_array('coupon', $wp_coupons_display['wp_coupons_related_coupons_locations'])) { ?>

		<?php echo wp_coupons_related_coupons($post->ID); ?>

	<?php } ?>

<?php } ?>

<?php if(!empty($wp_coupons_extra['wp_coupons_clipboard_js']) && $wp_coupons_extra['wp_coupons_clipboard_js'] == "1") { ?>

	<?php if(has_action('wp_footer', 'wp_coupons_output_clipboard_js') == false) { ?>

		<?php add_action('wp_footer', 'wp_coupons_output_clipboard_js'); ?>

	<?php } ?>
	
<?php } ?>

<?php if(!empty($wp_coupons_display['wp_coupons_click_to_reveal'])) { ?>

	<?php if(has_action('wp_footer', 'wp_coupons_output_ctr_popup') == false) { ?>

		<?php add_action('wp_footer', 'wp_coupons_output_ctr_popup'); ?>

	<?php } ?>
	
<?php } ?>

<?php do_action( 'wp_coupons_action_after_main_content' ); ?>
<?php get_footer(); ?>